<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [select](./puppeteer.page.select.md)

## Page.select() method

<b>Signature:</b>

```typescript
select(selector: string, ...values: string[]): Promise<string[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  selector | string |  |
|  values | string\[\] |  |

<b>Returns:</b>

Promise&lt;string\[\]&gt;

